> For the complete documentation index, see [llms.txt](https://docs.flosum.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flosum.com/api/api-pt-br/api-de-backup-e-arquivo/schedulers.md).

# Schedulers

## Create Backup Scheduler

> Creates a backup Scheduler. You must use one of the supported scheduler types:\
> \
> \- \`full backup\`\
> \- \`templated backup\`\
> \
> The \`templateId\` parameter is optional and should only be provided for template backups.\
> \
> The \`runAt\` time must be unique because schedulers can't run at the same time.

```json
{"openapi":"3.0.0","info":{"title":"Flosum Backup API Service","version":"4.6.12-test.0"},"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"Bearer <access_token>"}},"schemas":{"CreateBackupSchedulerBodyDto":{"type":"object","properties":{"type":{"type":"string","enum":["full backup","templated backup"]},"timezone":{"type":"string","description":"User timezone"},"configuration":{"description":"Information about frequency of scheduler, repeat and running time.","allOf":[{"$ref":"#/components/schemas/SchedulerConfigurationDto"}]},"description":{"type":"string"},"name":{"type":"string","description":"Scheduler name"},"jobSettings":{"description":"Backup job settings. Required if backup type is scheduler.","allOf":[{"$ref":"#/components/schemas/BackupSettingsDto"}]}},"required":["type","timezone","configuration","description","name"]},"SchedulerConfigurationDto":{"type":"object","properties":{"frequency":{"type":"string","enum":["hourly","daily","weekly","monthly"]},"repeatOn":{"$ref":"#/components/schemas/RepeatOnValueDto"},"repeatEvery":{"type":"number","description":"Repeat every x months/weeks/days/hours."},"runAt":{"type":"string"}},"required":["frequency","repeatEvery","runAt"]},"RepeatOnValueDto":{"type":"object","properties":{"type":{"type":"string","enum":["weekly","monthly"]},"daysOfWeek":{"type":"array","description":"Should be populated when `type` is `weekly`.","items":{"type":"number","enum":[0,1,2,3,4,5,6]}},"dayOfMonth":{"type":"number","description":"Should be populated when `type` is `monthly`. Can be null if `weekDayOfMonth` is populated."},"weekDayOfMonth":{"description":"Should be populated if type of repeat on equal to monthly. Can be null if populated dayOfMonth","allOf":[{"$ref":"#/components/schemas/WeekDayOfMonthValueDto"}]}},"required":["type"]},"WeekDayOfMonthValueDto":{"type":"object","properties":{"firstOrLast":{"type":"string","enum":["first","last"],"description":"First or last weekday of the month."},"weekDay":{"type":"number","enum":[0,1,2,3,4,5,6],"description":"Day of the week."}},"required":["firstOrLast","weekDay"]},"BackupSettingsDto":{"type":"object","properties":{"isIncludeMetadata":{"type":"boolean"},"isIncludeBinaryObjects":{"type":"boolean"},"isIncludeBigObjects":{"type":"boolean"},"isIncludeFeedObjects":{"type":"boolean"},"isIncludeShareObjects":{"type":"boolean"},"isIncludeHistoryObjects":{"type":"boolean"},"isIncludeCustomMetadataTypeObjects":{"type":"boolean"},"isIncludeTagObjects":{"type":"boolean"},"templateId":{"type":"number"}},"required":["isIncludeMetadata","isIncludeBinaryObjects","isIncludeBigObjects","isIncludeFeedObjects","isIncludeShareObjects","isIncludeHistoryObjects","isIncludeCustomMetadataTypeObjects","isIncludeTagObjects"]},"CreateSchedulerResponseDto":{"type":"object","properties":{"id":{"type":"number"}},"required":["id"]},"ValidationExceptionDto":{"type":"object","properties":{"error":{"type":"string","nullable":true},"message":{"type":"array","items":{"type":"string"}},"statusCode":{"type":"number","enum":[100,101,102,103,200,201,202,203,204,205,206,300,301,302,303,304,307,308,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,421,422,424,428,429,500,501,502,503,504,505]}},"required":["error","message","statusCode"]},"NotFoundExceptionDto":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string","nullable":true},"statusCode":{"type":"number","enum":[100,101,102,103,200,201,202,203,204,205,206,300,301,302,303,304,307,308,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,421,422,424,428,429,500,501,502,503,504,505]}},"required":["message","error","statusCode"]}}},"paths":{"/api/v1/connections/{connectionId}/schedulers/backup":{"post":{"operationId":"SchedulersController_createBackupScheduler","summary":"Create Backup Scheduler","description":"Creates a backup Scheduler. You must use one of the supported scheduler types:\n\n- `full backup`\n- `templated backup`\n\nThe `templateId` parameter is optional and should only be provided for template backups.\n\nThe `runAt` time must be unique because schedulers can't run at the same time.","parameters":[{"name":"connectionId","required":true,"in":"path","schema":{"type":"number"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateBackupSchedulerBodyDto"}}}},"responses":{"201":{"description":"Returns Id of created Scheduler","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateSchedulerResponseDto"}}}},"400":{"description":"Incorrect request data is provided. For example, `connectionId` or `templateId` isn't a valid positive number","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationExceptionDto"}}}},"404":{"description":"Connection or Template not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundExceptionDto"}}}}},"tags":["Schedulers"]}}}}
```

## Get list of Schedulers

> Returns a list of Backup & Archive Schedulers for the Connection. You can also pass \`templateId\` to get Schedulers related to a specific template

```json
{"openapi":"3.0.0","info":{"title":"Flosum Backup API Service","version":"4.6.12-test.0"},"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"Bearer <access_token>"}},"schemas":{"FindAllSchedulersResponseDto":{"type":"object","properties":{"type":{"type":"string","enum":["archive","retention policy restore data preparation","full backup","templated backup","full & sync backup","retention policy search","retention policy audit trail","retention policy restore data","retention policy export","retention policy","cache-describe","backup connections metrics"]},"timezone":{"type":"string","description":"User timezone"},"isDefault":{"type":"boolean"},"id":{"type":"number"},"name":{"type":"string"},"configuration":{"$ref":"#/components/schemas/SchedulerConfigurationDto"},"templateName":{"type":"string"},"templateId":{"type":"number"}},"required":["type","timezone","isDefault","id","name","configuration"]},"SchedulerConfigurationDto":{"type":"object","properties":{"frequency":{"type":"string","enum":["hourly","daily","weekly","monthly"]},"repeatOn":{"$ref":"#/components/schemas/RepeatOnValueDto"},"repeatEvery":{"type":"number","description":"Repeat every x months/weeks/days/hours."},"runAt":{"type":"string"}},"required":["frequency","repeatEvery","runAt"]},"RepeatOnValueDto":{"type":"object","properties":{"type":{"type":"string","enum":["weekly","monthly"]},"daysOfWeek":{"type":"array","description":"Should be populated when `type` is `weekly`.","items":{"type":"number","enum":[0,1,2,3,4,5,6]}},"dayOfMonth":{"type":"number","description":"Should be populated when `type` is `monthly`. Can be null if `weekDayOfMonth` is populated."},"weekDayOfMonth":{"description":"Should be populated if type of repeat on equal to monthly. Can be null if populated dayOfMonth","allOf":[{"$ref":"#/components/schemas/WeekDayOfMonthValueDto"}]}},"required":["type"]},"WeekDayOfMonthValueDto":{"type":"object","properties":{"firstOrLast":{"type":"string","enum":["first","last"],"description":"First or last weekday of the month."},"weekDay":{"type":"number","enum":[0,1,2,3,4,5,6],"description":"Day of the week."}},"required":["firstOrLast","weekDay"]},"ValidationExceptionDto":{"type":"object","properties":{"error":{"type":"string","nullable":true},"message":{"type":"array","items":{"type":"string"}},"statusCode":{"type":"number","enum":[100,101,102,103,200,201,202,203,204,205,206,300,301,302,303,304,307,308,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,421,422,424,428,429,500,501,502,503,504,505]}},"required":["error","message","statusCode"]},"NotFoundExceptionDto":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string","nullable":true},"statusCode":{"type":"number","enum":[100,101,102,103,200,201,202,203,204,205,206,300,301,302,303,304,307,308,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,421,422,424,428,429,500,501,502,503,504,505]}},"required":["message","error","statusCode"]}}},"paths":{"/api/v1/connections/{connectionId}/schedulers":{"get":{"operationId":"SchedulersController_findAll","summary":"Get list of Schedulers","description":"Returns a list of Backup & Archive Schedulers for the Connection. You can also pass `templateId` to get Schedulers related to a specific template","parameters":[{"name":"connectionId","required":true,"in":"path","schema":{"type":"number"}},{"name":"templateId","required":false,"in":"query","schema":{"type":"number"}}],"responses":{"200":{"description":"Returns list of Backup & Archive Schedulers","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FindAllSchedulersResponseDto"}}}}},"400":{"description":"Incorrect request data is provided. For example, connectionId isn't a valid number","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationExceptionDto"}}}},"404":{"description":"Connection not found with the provided Id","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundExceptionDto"}}}}},"tags":["Schedulers"]}}}}
```

## Get Scheduler by Id

> Returns the Backup & Archive Scheduler by Id

```json
{"openapi":"3.0.0","info":{"title":"Flosum Backup API Service","version":"4.6.12-test.0"},"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"Bearer <access_token>"}},"schemas":{"FindSchedulerResponseDto":{"type":"object","properties":{"connectionId":{"type":"number"},"type":{"type":"string","enum":["archive","retention policy restore data preparation","full backup","templated backup","full & sync backup","retention policy search","retention policy audit trail","retention policy restore data","retention policy export","retention policy","cache-describe","backup connections metrics"]},"timezone":{"type":"string","description":"User timezone"},"isDefault":{"type":"boolean"},"description":{"type":"string"},"id":{"type":"number"},"name":{"type":"string"},"templateId":{"type":"number"},"templateName":{"type":"string"},"configuration":{"$ref":"#/components/schemas/SchedulerConfigurationDto"},"jobSettings":{"$ref":"#/components/schemas/BackupSettingsDto"}},"required":["connectionId","type","timezone","isDefault","description","id","name","configuration"]},"SchedulerConfigurationDto":{"type":"object","properties":{"frequency":{"type":"string","enum":["hourly","daily","weekly","monthly"]},"repeatOn":{"$ref":"#/components/schemas/RepeatOnValueDto"},"repeatEvery":{"type":"number","description":"Repeat every x months/weeks/days/hours."},"runAt":{"type":"string"}},"required":["frequency","repeatEvery","runAt"]},"RepeatOnValueDto":{"type":"object","properties":{"type":{"type":"string","enum":["weekly","monthly"]},"daysOfWeek":{"type":"array","description":"Should be populated when `type` is `weekly`.","items":{"type":"number","enum":[0,1,2,3,4,5,6]}},"dayOfMonth":{"type":"number","description":"Should be populated when `type` is `monthly`. Can be null if `weekDayOfMonth` is populated."},"weekDayOfMonth":{"description":"Should be populated if type of repeat on equal to monthly. Can be null if populated dayOfMonth","allOf":[{"$ref":"#/components/schemas/WeekDayOfMonthValueDto"}]}},"required":["type"]},"WeekDayOfMonthValueDto":{"type":"object","properties":{"firstOrLast":{"type":"string","enum":["first","last"],"description":"First or last weekday of the month."},"weekDay":{"type":"number","enum":[0,1,2,3,4,5,6],"description":"Day of the week."}},"required":["firstOrLast","weekDay"]},"BackupSettingsDto":{"type":"object","properties":{"isIncludeMetadata":{"type":"boolean"},"isIncludeBinaryObjects":{"type":"boolean"},"isIncludeBigObjects":{"type":"boolean"},"isIncludeFeedObjects":{"type":"boolean"},"isIncludeShareObjects":{"type":"boolean"},"isIncludeHistoryObjects":{"type":"boolean"},"isIncludeCustomMetadataTypeObjects":{"type":"boolean"},"isIncludeTagObjects":{"type":"boolean"},"templateId":{"type":"number"}},"required":["isIncludeMetadata","isIncludeBinaryObjects","isIncludeBigObjects","isIncludeFeedObjects","isIncludeShareObjects","isIncludeHistoryObjects","isIncludeCustomMetadataTypeObjects","isIncludeTagObjects"]},"ValidationExceptionDto":{"type":"object","properties":{"error":{"type":"string","nullable":true},"message":{"type":"array","items":{"type":"string"}},"statusCode":{"type":"number","enum":[100,101,102,103,200,201,202,203,204,205,206,300,301,302,303,304,307,308,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,421,422,424,428,429,500,501,502,503,504,505]}},"required":["error","message","statusCode"]},"NotFoundExceptionDto":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string","nullable":true},"statusCode":{"type":"number","enum":[100,101,102,103,200,201,202,203,204,205,206,300,301,302,303,304,307,308,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,421,422,424,428,429,500,501,502,503,504,505]}},"required":["message","error","statusCode"]},"ConflictExceptionDto":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string","nullable":true},"statusCode":{"type":"number","enum":[100,101,102,103,200,201,202,203,204,205,206,300,301,302,303,304,307,308,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,421,422,424,428,429,500,501,502,503,504,505]}},"required":["message","error","statusCode"]}}},"paths":{"/api/v1/connections/{connectionId}/schedulers/backup/{id}":{"get":{"operationId":"SchedulersController_findOneBackupScheduler","summary":"Get Scheduler by Id","description":"Returns the Backup & Archive Scheduler by Id","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"number"}},{"name":"connectionId","required":true,"in":"path","schema":{"type":"number"}}],"responses":{"200":{"description":"Returns the Backup & Archive Scheduler by Id","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FindSchedulerResponseDto"}}}},"400":{"description":"Incorrect request data is provided. For example, connectionId or schedulerId isn't a valid number","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationExceptionDto"}}}},"404":{"description":"Connection or Scheduler not found with the provided Id","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundExceptionDto"}}}},"409":{"description":"Scheduler with the provided Id isn't accessible","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConflictExceptionDto"}}}}},"tags":["Schedulers"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.flosum.com/api/api-pt-br/api-de-backup-e-arquivo/schedulers.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
